<div class='overlay-container {{if this.isPresentable "presentable"}}' {{did-insert this.setup}} {{did-update this.update @isVisible}} {{on 'transitionend' this.finishTransition}}>
  <div class='overlay-header p-2 mb-2 d-flex'>
    {{#if @onClose}}
      <button type='button' class='btn btn-light btn-modal-close' {{on 'click' this.onClose}}>
        <FaIcon @icon='times' />
      </button>
    {{/if}}

    <div class='title p-2 flex-fill'>
      {{this.record.title}}
    </div>
  </div>

  <div class='content'>
    {{yield}}
  </div>
</div>